manifoldcf-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Karl Wright (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (CONNECTORS-1458) Explore upgrading the Solr connector to SolrJ 7.0.0
Date Tue, 26 Sep 2017 05:51:00 GMT

    [ https://issues.apache.org/jira/browse/CONNECTORS-1458?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16180295#comment-16180295
] 

Karl Wright commented on CONNECTORS-1458:
-----------------------------------------

When I do all of this, I get the following compilation error:

{code}
    [javac]                                   ^
    [javac] C:\wip\mcf\trunk\connectors\solr\connector\src\main\java\org\apache\manifoldcf\agents\output\solr\ModifiedHttpSolrClient.java:101:
error: no suitable constructor found for HttpSolrClient(String,HttpClient,ResponseParser)
    [javac]     super(baseURL, client, parser);
    [javac]     ^
    [javac]     constructor HttpSolrClient.HttpSolrClient(String,HttpClient,ResponseParser,boolean)
is not applicable
    [javac]       (actual and formal argument lists differ in length)
    [javac]     constructor HttpSolrClient.HttpSolrClient(String,HttpClient,ResponseParser,boolean,ModifiableSolrParams)
is not applicable
    [javac]       (actual and formal argument lists differ in length)
    [javac]     constructor HttpSolrClient.HttpSolrClient(Builder) is not applicable
    [javac]       (actual and formal argument lists differ in length)
{code}

Looking into what changed now...


> Explore upgrading the Solr connector to SolrJ 7.0.0
> ---------------------------------------------------
>
>                 Key: CONNECTORS-1458
>                 URL: https://issues.apache.org/jira/browse/CONNECTORS-1458
>             Project: ManifoldCF
>          Issue Type: Task
>          Components: Lucene/SOLR connector
>    Affects Versions: ManifoldCF 2.8.1
>            Reporter: Karl Wright
>            Assignee: Karl Wright
>             Fix For: ManifoldCF 2.9
>
>
> We need to bring our SolrJ dependency up to date, since SolrJ 7.0.0 was just released.
> I did some preliminary dependency analysis using mvn dependency:tree and found that the
following required dependencies are present:
> {code}
> [INFO] +- org.apache.solr:solr-solrj:jar:7.0.0:compile
> [INFO] |  +- org.apache.commons:commons-math3:jar:3.4.1:compile
> [INFO] |  +- org.codehaus.woodstox:stax2-api:jar:3.1.4:compile
> [INFO] |  +- org.codehaus.woodstox:woodstox-core-asl:jar:4.4.1:compile
> [INFO] |  \- org.slf4j:jcl-over-slf4j:jar:1.7.7:compile
> {code}
> There is, however, no explicit dependency on httpcomponents/httpclient anymore, so I
realized I'd better look at the optional dependencies, as listed here:
> https://mvnrepository.com/artifact/org.apache.solr/solr-solrj/7.0.0
> These include:
> httpcomponents/httpclient 4.4.1 (we're at 4.5.3 so we're good there)
> zookeeper 3.4.10 (need to update)
> woodstox-core-asl  4.4.1 (need to update)
> noggit 0.8 (need to update)
> slf4j-api 1.7.7 (need to update)



--
This message was sent by Atlassian JIRA
(v6.4.14#64029)

Mime
View raw message